GRAPH1D_ORTHOGONAL_CREATE(3)

EXPERIMENTAL_FUNC
graph1d_orthogonal_create - Create an object for later viewing of orthogonal profiles.

SYNOPSIS
#include <karma_graph1d.h>

KOrthogonalProfile graph1d_orthogonal_create

(KWorldCanvas canvas,iarray array, KViewableGraph *vgraph)

DESCRIPTION
Create an object for later viewing of orthogonal profiles.

canvas
    The world canvas object where profiles will be drawn.

array
    The Intelligent Array which contains the data.

vgraph
    The KViewableGraph that is created is written here. This may be NULL.

RETURN VALUE
A KOrthogonalProfile object on success, else NULL.

Multi-threading Level
Unsafe.

NOTE
The KOrthogonalProfile will be automatically destroyed if the canvas or Intelligent Array are destroyed.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/